MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001262XdebugUsage problems (Wrong Results)public2016-01-28 18:592016-02-05 11:18
Reporterroman4e 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSLinux mintOS Version17
Product Version2.4.0rc3 
Target VersionFixed in Version2.4.0 
Summary0001262: xdebug_var_dump does not output as colored html
DescriptionI have such options to use xdebug and html output for errors
ini_set("xdebug.default_enable",1);
ini_set("xdebug.overload_var_dump",0);
ini_set("html_errors",1);
But I can't get html output with xdebug_var_dump as I get when xdebug.overload_var_dump set to 1
Steps To ReproduceRun php script as server-side output from web server

<?php
ini_set("xdebug.default_enable",1);
ini_set("xdebug.overload_var_dump",0);
ini_set("html_errors",1);
xdebug_var_dump("Anything");
?>
TagsNo tags attached.
Operating System
PHP Version7.0.0-7.0.4
Attached Files

- Relationships

-  Notes
(0003435)
roman4e (reporter)
2016-01-28 19:17
edited on: 2016-01-28 19:18

For me I did that patch but I'm not sure that is correct for you

--- /home/user/src/Xdebug-2.4.0RC4/xdebug.c
+++ /home/user/src/Xdebug-2.4.0RC4/xdebug.c.my
@@ -2191,11 +2191,6 @@
     int i, len;
     char *val;
     
- if (!XG(overload_var_dump)) {
- XG(orig_var_dump_func)(INTERNAL_FUNCTION_PARAM_PASSTHRU);
- return;
- }
-
     argc = ZEND_NUM_ARGS();
 
 #if PHP_VERSION_ID >= 70000

(0003438)
derick (administrator)
2016-02-05 11:02

You're right that the bug is in that place, but the fix is not correct - it would make var_dump also overloaded with overload_var_dump being 0. I've a patch, which I'll merge after travis says it's ok: https://github.com/xdebug/xdebug/pull/258 [^]
(0003439)
derick (administrator)
2016-02-05 11:18

Fixed for 2.4.0

- Issue History
Date Modified Username Field Change
2016-01-28 18:59 roman4e New Issue
2016-01-28 19:17 roman4e Note Added: 0003435
2016-01-28 19:18 roman4e Note Edited: 0003435 View Revisions
2016-02-05 11:02 derick Note Added: 0003438
2016-02-05 11:18 derick Note Added: 0003439
2016-02-05 11:18 derick Status new => closed
2016-02-05 11:18 derick Assigned To => derick
2016-02-05 11:18 derick Resolution open => fixed
2016-02-05 11:18 derick Fixed in Version => 2.4.0
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker